Category: Development tools   

Target version: 1.19.0   
Description

Get this error in the logs and the server takes some time to load since all connections are busy at the moment.

ActiveRecord::ConnectionTimeoutError (could not obtain a connection from the pool within 5.000 seconds (waited 5.000 seconds);

all pooled connections were in use)

Associated revisions

Revision d1778057 - 07/12/2018 10:49 AM - Ivan Necas

Refs #24220 - increase recommended pool size for the db (#165)

Since Rails 5, it seems the webrick is not limited on single request at

a time, which leads to 500s when loading the dasboards, especially with

plugins.

Suggesting to increse the default pool size in the database.yml

to avoid users running into this.

Revision 8c7be857 - 07/12/2018 11:43 AM - Ivan Necas

Fixes #24220 - increase recommended pool size for the db

Since Rails 5, it seems the webrick is not limited on single request at

a time, which leads to 500s when loading the dasboards, especially with

plugins.

Suggesting to increse the default pool size in the database.yml

to avoid users running into this.

History

#1 - 07/11/2018 05:56 PM - Justin Sherrill

- Project changed from Katello to foreman-tasks

- Subject changed from ActiveRecord::ConnectionTimeoutError in the logs..Recovers after a few attempts.. to In development:

ActiveRecord::ConnectionTimeoutError in the logs..Recovers after a few attempts..

- Category deleted (81)

We've seen this a lot in katello, but it seems to only occur when the dynflow world gets initialized.

#2 - 07/12/2018 10:41 AM - Ivan Necas

- Project changed from foreman-tasks to Foreman

I don't think it has anything to do with Foreman-Tasks, it seems that in rails 5, the lock on 1-request at a time was removed, which leads to the
dashboard spinning up more concurrent requests that the db pool is ready for. The proper fix should be to increase the db pool in

`config/database.yml`.

#3 - 07/12/2018 10:44 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ivan Necas

- Pull request https://github.com/theforeman/foreman/pull/5827 added

#4 - 07/12/2018 10:46 AM - Ivan Necas

- Pull request https://github.com/theforeman/puppet-katello_devel/pull/165 added

I've sent patches to foreman and katello_devel to increase the pool size with numbers I've stopped getting the issues like this.

#5 - 07/12/2018 11:44 AM - Tomer Brisker

- Target version set to 1.19.0

- Fixed in Releases 1.19.0 added

#6 - 07/12/2018 12:01 PM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8c7be857a81ef4e98128e831c533254e07bbfd63.

#7 - 07/12/2018 12:04 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5822 added

#8 - 07/19/2018 11:14 AM - Ewoud Kohl van Wijngaarden

- Category set to Development tools
